StrictPreemptionContractPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.impl.pb, class: StrictPreemptionContractPBImpl

Package org.apache.hadoop.yarn.api.records.impl.pb

# Class StrictPreemptionContractPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.StrictPreemptionContract
org.apache.hadoop.yarn.api.records.impl.pb.StrictPreemptionContractPBImpl

@Private @Unstable public class StrictPreemptionContractPBImpl extends org.apache.hadoop.yarn.api.records.StrictPreemptionContract

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrictPreemptionContractPBImpl()`
  `StrictPreemptionContractPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.StrictPreemptionContractProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `Set<org.apache.hadoop.yarn.api.records.PreemptionContainer>`
  `getContainers()`
  `org.apache.hadoop.yarn.proto.YarnProtos.StrictPreemptionContractProto`
  `getProto()`
  `int`
  `hashCode()`
  `void`
  `setContainers(Set<org.apache.hadoop.yarn.api.records.PreemptionContainer> containers)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.StrictPreemptionContract

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StrictPreemptionContractPBImpl

    public StrictPreemptionContractPBImpl()

  - ### StrictPreemptionContractPBImpl

    public StrictPreemptionContractPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.StrictPreemptionContractProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnProtos.StrictPreemptionContractProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getContainers

    public Set<org.apache.hadoop.yarn.api.records.PreemptionContainer> getContainers()
    Specified by:
      `getContainers` in class `org.apache.hadoop.yarn.api.records.StrictPreemptionContract`

  - ### setContainers

    public void setContainers(Set<org.apache.hadoop.yarn.api.records.PreemptionContainer> containers)
    Specified by:
      `setContainers` in class `org.apache.hadoop.yarn.api.records.StrictPreemptionContract`